/* Reset Global */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; /* Define cálculo consistente de largura/altura */ 
    font-family: Arial, Helvetica, sans-serif; /* Fonte padrão */ 
    text-decoration: none; /* Remove decoração de links */
    scroll-behavior: smooth; /* Rolagem suave */ 
  }
  
  /* Body */
  body {
    background-color: #151515; /* Fundo escuro */ 
  }
  
  /* Navbar */
  nav {
    position: fixed; /* Fixa no topo */ 
    top: 0;
    left: 0;
    width: 100%;
    background-color: #000; /* Fundo preto */ 
    color: #fff;
    display: flex; /* Flex container */ 
    align-items: center; /* Alinha verticalmente */ 
    justify-content: space-around; /* Espaço entre itens */ 
    padding: 10px;
    font-size: larger;
    z-index: 1000;
  }
  
  .nav_head {
    font-size: 35px;
    letter-spacing: 1px;
  }
  
  /* Menu */
  nav ul {
    display: flex; /* Flex em vez de float */ 
    list-style: none;
    gap: 1rem; /* Espaço entre itens */ 
    flex-wrap: wrap; /* Quebra de linha se necessário */ 
  }
  
 
  
  nav li a {
    display: block;
    padding: 15px;
    color: #fff;
    transition: color 0.3s ease; /* Transição suave de cor */ 
  }
  
  nav li a:hover {
    color: #20fa03; /* Rosa ao passar o mouse */ 
  }
  
  /* Botão de contato */
  .contact_btn {
    display: inline-block; /* Permite padding dimensionado */ 
    padding: 10px 30px;
    border-radius: 30px;
    background-color: #20fa03;
    color: #000;
    margin-left: auto; /* Empurra à direita */ 
    cursor: pointer;
    font-size: large;
    transition: all 0.5s ease-in-out; /* Suaviza hover */ 
  }
  
  .contact_btn:hover {
    background: transparent;
    border: 3px solid #ed2222;
    color: #fff;
  }
  
  /* Ícone hambúrguer */
  .checkbtn {
    display: none;
    font-size: 30px;
    cursor: pointer;
  }
  
  .checkbox {
    display: none;
  }
  
  /* Responsividade Navbar */
  @media screen and (max-width: 952px) {
    .nav_head {
      font-size: 30px;
    }
    nav li a {
      font-size: 18px;
    }
    .contact_btn {
      margin-left: 20px;
    }
  }
  
  @media screen and (max-width: 820px) {
    .checkbtn {
      display: block; /* Exibe ícone */ 
      margin-right: 30px;
    }
    .nav_head {
      padding-left: 10px;
    }
    nav ul {
      position: fixed;
      top: 60px;
      right: -100%; /* Escondido inicialmente */ 
      width: 60%;
      height: 50vh;
      background-color: #000;
      flex-direction: column;
      align-items: flex-start;
      gap: 1rem;
      padding: 20px;
      transition: right 0.5s ease; /* Transição de slide */ 
      z-index: 1000;
    }
    nav li {
      width: 100%;
    }
    .contact_btn {
      width: 90%;
      text-align: center;
    }
    nav li a {
      font-size: 20px;
    }
    .checkbox:checked ~ ul {
      right: 0; /* Mostra o menu */ 
    }
  }
  
  /* Seção Home */
  .home {
    display: flex; /* Flex container */ 
    justify-content: space-around;
    align-items: center;
    gap: 5rem;
    padding: 220px 100px;
    color: #fff;
  }
  
  .description {
    padding: 20px;
    max-width: 500px;
  }
  
  .description h1 {
    font-size: 30px;
    font-weight: 700;
  }
  
  .description h1 span {
    color: #20fa03;
    font-size: 55px;
  }
  
  .description h2 {
    margin-top: 20px;
    font-size: 30px;
    font-weight: 900;
  }
  
  .description h2 span {
    color: #20fa03;
    position: relative;
  border-right: 3px solid #20fa03;
  white-space: nowrap;
  overflow: hidden;
  display: inline-block;
  animation: typing 3s infinite steps(15), blink .7s  ;
}

@keyframes typing {
  from { width: 0 }
  to { width: 100% }
}

@keyframes blink {
  50% { border-color: transparent }
}
  
  .font i {
    margin: 25px 8px;
    border: 3px solid #20fa03;
    border-radius: 50%;
    padding: 13px;
    font-size: 20px;
    cursor: pointer;
    transition: transform 0.3s ease, box-shadow 0.3s ease, background-color 0.3s ease;
  }
  
  .font i:hover {
    background-color: #20fa03;
    transform: translateY(-15px);
    box-shadow: 0 0 15px #20fa03;
  }
  
   button {
    padding: 10px 20px;
    font-size: 20px;
    border-radius: 10px;
    background: linear-gradient(145deg, #20fa03, #50f437);
    border: none;
    cursor: pointer;
    transition: background 0.3s ease;
  }
  
  .home img {
    background-color: #2247ed;
    padding: 10px;
    border-radius: 50%;
    box-shadow: 0 0 30px #22ed4e;
  
    filter: brightness(1.1);
    transition: transform 0.4s ease-in-out, box-shadow 0.4s ease-in-out;
    animation: animate 2.5s ease-in-out infinite;
  }
  
  .home img:hover {
    transform: translateY(-5px);
    box-shadow: 0 0 50px #ed2222;
  }
  
  @keyframes animate {
    0%   { transform: translateY(0); }
    50%  { transform: translateY(-15px); }
    100% { transform: translateY(0); }
  }
  
  /* Responsivo Home */
  @media screen and (max-width: 820px) {
  
    .home {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4rem;
  padding: 140px 5%;
  flex-wrap: wrap;
}

    .description {
      margin-left: 0;
    }
    .description h1 {
      font-size: 25px;
    }
    .description h1 span {
      font-size: 40px;
    }
    .description h2 {
      font-size: 25px;
    }
    .description p {
      font-size: 15px;
    }
  }
    .home img,
.about_photo img {
  width: 300px;
  height: auto;
  flex: none;
}
  /* Sobre (About) */
  .about {
    display: flex; /* Flex para seção about */ 
    justify-content: space-around;
    align-items: center;
    margin: 100px 150px;
    gap: 60px;
    color: #fff;
  }
  
  .about_photo img {
    background-color: #ed2222;
    padding: 10px;
    border-radius: 50%;
    box-shadow: 0 0 30px #4022ed;
    filter: brightness(1.1);
    animation: animate1 2.5s ease-in-out infinite;
  }
  
  @keyframes animate1 {
    0%   { transform: translateY(0); }
    50%  { transform: translateY(-15px); }
    100% { transform: translateY(0); }
  }
  
  .about_section {
    margin-bottom: 30px;
  }
  
  .about_section h1 {
    font-size: 50px;
  }
  
  .about_section h2 {
    margin-top: 10px;
  }
  
  .about_section span {
    color: #20fa03;
  }
  
  .about_section p {
    margin-top: 15px;
  }
  
  .about_btn {
    padding: 13px 25px;
    font-size: 20px;
    background-color: #2247ed;
    margin-top: 25px;
    border-radius: 20px;
    box-shadow: 0 0 15px #2247ed;
    border: none;
    cursor: pointer;
  }
  
  /* Responsivo About */
  @media screen and (max-width: 820px) {
    .about {
      flex-direction: column;
      margin: 50px;
      gap: 2rem;
    }
    .about_section {
      width: 100%;
    }
    .about_section h1 {
      font-size: 35px;
    }
    .about_photo {
      width: 200px;
      height: 250px;
    }
    .about_btn {
      padding: 10px 20px;
      font-size: 18px;
    }
  }
  
  /* Portfolio */
.portfolio {
  padding: 120px 5%;
  background-color: #111;
  color: #fff;
  text-align: center;
}

.section_title {
  font-size: 45px;
  margin-bottom: 60px;
}

.section_title span {
  color: #20fa03;
}

.portfolio_container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  gap: 40px;
}

.project_card {
  display: flex;
  flex-direction: column;
  height: 100%;
  background: #1a1a1a;
  padding: 25px;
  border-radius: 20px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.project_card img {
  width: 100%;
  height: 220px;
  object-fit: cover;
  border-radius: 15px;
  margin-bottom: 15px;
}

.project_card h3 {
  margin-bottom: 10px;
}

.project_card p {
  flex-grow: 1;
  font-size: 16px;
  margin-bottom: 15px;
}

.project_card a {
  display: inline-block;
  padding: 8px 20px;
  background-color: #20fa03;
  color: #000;
  border-radius: 20px;
  font-weight: bold;
  transition: 0.3s;
}

.project_card:hover {
  transform: translateY(-10px);
  box-shadow: 0 0 20px #20fa03;
}

.project_image {
  position: relative;
  overflow: hidden;
  border-radius: 15px;
}

.project_overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.project_image:hover .project_overlay {
  opacity: 1;
}

.hero_buttons {
  margin-top: 20px;
  display: flex;
  gap: 20px;
}
.hero_curriculo {
  margin-top: 20px;
  display: flex;
  gap: 20px;
  margin-left: 20px;
}

.primary_btn {
  background: #20fa03;
  color: #000;
  padding: 12px 30px;
  border-radius: 30px;
  font-weight: bold;
}

.secondary_btn {
  background: transparent;
  border: 2px solid #20fa03;
  color: #20fa03;
  padding: 12px 30px;
  border-radius: 30px;
}

.project_overlay a {
  background: #20fa03;
  padding: 10px 15px;
  border-radius: 10px;
  font-size: 14px;
}

.project_overlay a:hover {
  background: #fff;
  color: #000;
}

.skills {
  padding: 120px 10%;
  background: #151515;
  color: #fff;

}

.skills_container {
  max-width: 700px;
  margin: auto;
}

.skill {
  margin-bottom: 25px;
}

.bar {
  background: #333;
  border-radius: 20px;
  overflow: hidden;
}

.bar span {
  display: block;
  height: 10px;
  background: #20fa03;
  border-radius: 20px;
}

footer {
  text-align: center;
  padding: 30px;
  background: #000;
  color: #777;
}

.service {
  padding: 120px 10%;
  background: #111;
  color: #fff;
  text-align: center;
}

.service_container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 40px;
  margin-top: 60px;
}

.service_card {
  background: #1a1a1a;
  padding: 40px 20px;
  border-radius: 20px;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.service_card i {
  font-size: 40px;
  color: #20fa03;
  margin-bottom: 20px;
}

.service_card h3 {
  margin-bottom: 15px;
}

.service_card p {
  font-size: 14px;
}

.service_card:hover {
  transform: translateY(-10px);
  box-shadow: 0 0 20px rgba(0, 255, 0, 0.4);
}

.contact {
  padding: 120px 10%;
  background: #111;
  color: #fff;
  text-align: center;
}

.contact_container {
  margin-top: 40px;
  font-size: 18px;
  line-height: 2;
}

.contact_container a {
  color: #20fa03;
  text-decoration: none;
  transition: color 0.3s ease;
}

.contact_container a:hover {
  color: #fff;
}

